Welcome

Thank you for trying my program!

You may click on the links below to view information concerning each tab of CleanCache:
  • Status Tab
  • Internet Explorer Tab
  • IE Cookies Tab
  • IE Typed URLs Tab
  • Mozilla Tab
  • Mozilla Cookies Tab
  • Mozilla Logins Tab
  • Firefox Tab
  • Firefox Cookies Tab
  • Firefox Logins Tab
  • Opera Tab
  • Windows Tab
  • Additives
  • Options Tab
  • Tools Tab
  • Troubleshooting
  • Configuring Mozilla/Firefox profiles
  • Command Line Parameters

Donations

CleanCache is freeware for up to 1 - 2 computers per site. Since CleanCache is freeware, you will never be asked by me to donate to download or use CleanCache. Donation is strictly voluntary. I have received donations for $.01 which leads me to believe that users feel that they have to donate or they're sending me a message that they hate my program. In either case I would like to hear from you if you feel that a donation is mandatory (or that you hate CleanCache).

If you require more than 2 copies for an organization, please contact me for pricing information.

You can email me at author@buttuglysoftware.com


Status

Status Screen
The status screen is the first tab displayed when starting CleanCache. From this screen all information and statuses are displayed concerning all cleaning operations.
Status Tab


IE

Internet Explorer Tab
The Internet Explorer Options tab allows you to fine tune what areas of Internet Explorer you would like to clean and when to clean them.

Internet Explorer Selection
  • Clean Temp Internet Files - Deletes all directories and files contained in the C:\Documents and Settings\<Username>\Local Settings\Temporary Internet Files\Content.IE5
  • Clean History - Deletes all directories and files contained in the C:\Documents and Settings\<Username>\Local Settings\History\History.IE5
  • Clean Cookies - Deletes all cookies found in C:\Documents and Settings\<Username>\Cookies with the exception of those marked as saved
  • Clean Typed URLs - Deletes all URLs that have been manually typed in IE's address bar with the exception of those marked as saved
  • Clean Form AutoComplete - Deletes all information entered into web text boxes where when you start typing, a drop down box is offered to you with various selections matching what you are typing (i.e. Google searches)

NOTE: The Use IE Deletion Method is only to be used if you are having problems with the Use CleanCache Deletion Method. When starting out, please only use the CleanCache Deletion Method.

Alternate Browser Selection

This allows you to use CleanCache with IE Shell browsers. If your browser is not specified in the list, please contact the author.

index.dat file selection

These options allow you to specify which of Internet Explorer's index.dat files are cleaned (the file is overwritten with nulls 0x00) and are setup in the registry to be deleted at next reboot
  • Clean Temporary Internet Files index.dat - Contains information on every website browsed since the files were deleted (through IE options or another program)
  • Clean History index.dat - Contains a history of all websites browsed since the history was cleared (through IE options or another program)
  • Clean Cookies index.dat - Contains a list of all cookies downloaded to your system since the files were deleted (through IE options or another program)

Outlook Express

Outlook Express uses files to maintain and store emails in the various email folders. Over time the mail files below can grow quite large and store information concerning emails that have been sent or deleted.
  • Clean Deleted Items - Removes the Deleted Items file. Outlook Express will recreate the file on next startup
  • Clean Outbox Items - Removes the Outbox Items file. Outlook Express will recreate the file on next startup
  • Clean Sent Items - Removes the Sent Items file. Outlook Express will recreate the file on next startup

Clean IE items at

These items allow you to fine tune when CleanCache will clean the items in the groups Internet Explorer Selection and index.dat file selection. You may select all cleaning choices or none depending on how you want to handle your cleaning.
  • Delay (1 - 30 secs 0 = off) - set this higher than 0 if you want an X second delay before CleanCache starts cleaning when the last IE window is closed.

Clean OE items at

These items allow you to fine tune when CleanCache will clean the items in the group Outlook Express. You may select all cleaning choices or none depending on how you want to handle your cleaning.
Internet Explorer Tab


Cookies

Cookies Tab
The Cookies tab is fairly straightforward in that cookies contained in the left hand list will be deleted when running a clean (if you have cookies set to be deleted on the Interent Explorer tab) and cookies contained in the right hand list will not be deleted.

A new addition is the ability to right click on a saved cookie and physically delete the cookie from your hard drive. This comes in handy when you have the option selected to save cookies that match IE favorites. In the logic I use, I am searching for the domain name from the cookie in your favorites. If any part of the word exists then the cookie will be saved even though it's not one that you would actually like to keep. Rather than removing all of your saved cookies you may just hightlight the offending cookie and delete it by right clicking and selecting delete.

Explanation of cookies
Manage IE Cookies


Typed URLs

Typed URLs Tab
The Typed URLs tab is fairly straightforward in that typed URLs contained in the left hand list will be deleted when running a clean and typed URLs contained in the right hand list will not be deleted.
Typed URLs Tab


page11

Mozilla Tab
Mozilla Tab
The main item of note with the Mozilla Tab is the profiles listed on the left hand side of the dialog. CleanCache was written to handle all of your Mozilla profiles so different options may be set to different profiles. Make sure when your modifying the cleaning options that you have the correct profile selected.


page13

Mozilla/Firefox Cookies
Mozilla/Firefox Cookies Tab
The Cookies tab is fairly straightforward in that cookies contained in the left hand list will be deleted when running a clean (if you have cookies set to be deleted on either the Mozilla or Firefox tab) and cookies contained in the right hand list will not be deleted.

Explanation of cookies


page15

Logins Dialog
Mozilla/Firefox Logins Dialog
The Logins Dialog is fairly straightforward in that logins contained in the left hand list will be deleted when running a clean (if you have logins set to be deleted on either the Mozilla or Firefox tab) and logins contained in the right hand list will not be deleted.


page10

Firefox Tab
Firefox Tab
The main item of note with the Firefox Tab is the profiles listed on the left hand side of the dialog. CleanCache was written to handle all of your Firefox profiles so different options may be set to different profiles. Make sure when your modifying the cleaning options that you have the correct profile selected.


Opera

Opera Tab
Opera Tab
When first running CleanCache, you will need to Set the Opera data directory by clicking on the button and browsing to the Opera executable. This will automatically select the profile directory being used by the selected version of Opera.


Windows

Windows Tab
The Windows tab allows you to select various Windows tracks and application tracks to clean.

Windows Selection
  • Clean My Recent Documents - will remove all entries found under Start|My Recent Documents
  • Clean Start Run History - will remove all entries found under Start|Run
  • Clean Search History - will remove the history of searches done through Start|Search
  • Clean User Temp Directory - will remove all files and directories found in C:\Documents and Settings\<Username>\Local Settings\Temp. Please note that some of the files will be locked by other processes and will not be deleted until your system is rebooted
  • Clean Windows\Temp Directory - will remove all files and directories found in C:\Windows\Temp. Please note that some of the files will be locked by other processes and will not be deleted until your system is rebooted
  • Clean C:\Temp Directory - Mainly for my use but other may find it useful if they have a C:\Temp directory. If the directory does not exist on your system then the option will be disabled
  • Clean MRU Registry Entries - Remove Most Recently Used registry entries for Windows functionality. It does not cover any installed applications.
  • Empty Recycle Bins - Empties all recycle bins
  • Clean Clipboard - Removes any data stored in the clipboard
  • Clean Windows XP Prefetch - Removes all files found in C:\Windows\Prefetch then runs a process to start the recreation of only the needed files. The prefetch folder contains files that Windows XP uses to pre-load programs that you run. Over time this directory can contain prefetch files that are very old and outdated so it is beneficial to clear this directory and let Windows XP rebuild the prefetch files. Please note that I am only allowing this process to clean at Windows startup/shutdown or a manual clean. I do not think it would be wise clean this directory over and over again at IE close.
  • Clean UserAssist Registry entries - Explorer.exe (not Internet Explorer but the Windows shell) stores information concerning programs you have run, control panel files accessed and also any IE Favorites that you have accessed. This information is "encrypted" by ROT13 which makes it hard for someone to just view the information but is extremely easy to unencrypt programmatically. Since this information is never deleted this is another area where Windows logs what you are running and viewing. Thanks to Helamonster for the great information.
  • You may view existing UserAssist entries by clicking on the Tools Tab.

Windows Tab
Windows Applications
  • Windows Media Player - removes information stored about what has been played when using the media player
  • Windows Word Pad - removes Word Pad's MRU's

Microsoft Office Applications
  • Microsoft Word - removes Word's MRU's
  • Microsoft Excel - removes Excel's MRU's
  • Microsoft Access - removes Access's MRU's
  • Microsoft Powerpoint - removes Powerpoint's MRU's
  • Microsoft Project - removes Project's MRU's
  • Microsoft Outlook Temp Directory - removes all files contained in Outlooks temporary directory. These are attachments that are stored temporarily when viewing them from an email

Clean Windows items at

These items allow you to fine tune when CleanCache will clean the items in the group Windows Selection. You may select all cleaning choices or none depending on how you want to handle your cleaning.

Clean Windows/Office Apps at

These items allow you to fine tune when CleanCache will clean the items in the group Windows/Office Apps. You may select all cleaning choices or none depending on how you want to handle your cleaning.


Additives

Additives Tab
The Additives tab allows you to specify your own files/directories/registry entries to clean.

The New button will bring up the following dialog
From this dialog you are able to add files, add directories and add registry entries that you would like to remove during the normal cleaning process.

NOTE: In order to simplify registry key entries when you click on the Add Registry button, the program regedit.exe is executed. Once displayed you can browse to the registry key that you want to clean and then select the menu option
When you select Copy Key Name regedit.exe will exit and the key that you have selected will automatically be placed into the Registry entry list box.
Additives Tab


page12

Tools Tab
UserAssist Tab
Startup Tab
The Startup Tab allows you to easily view programs that are set to automatically run when you log in to Windows. From this screen you can do the following tasks:
  • Disable any startup program by unchecking the check box on the left hand side of the entry.
  • Enable a disabled entry just put a check in the check box.
  • Delete an entry highlight the entry by clicking on it and then select the delete button.

The following Registry Keys are read when presenting the startup program information. These are the most common startup keys:

HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Run
HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce
HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnceEx
HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunService
HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunServiceOnce

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnce
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnceEx
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunService
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunServiceOnce

The current and All Users startup directories are also read.

This is a tool that I felt would be nice for CleanCache users but is definitely not, in any way shape or form, the best available tool to manage the startups.  I use an extremely good tool called WinPatrol which monitors the startup registry keys and directories so if a malicious program attempts to install to these keys you can decide whether you want it to start or not.
Add/Remove Tab
The Add/Remove Tab allows you to delete entries from the Add/Remove control panel. This can be useful for removing orphaned entries that were not removed correctly by the removed program or to remove Windows update entries that are just filling up the Add/Remove list.
The Wipe Files Tab offers an easy interface to securely delete files outside of the normal wiping directories of CleanCache. This is not as robust a feature as other standalone programs offer. If you are looking for more options and/or disk wiping I would recommend the following programs:

BCWipe
CryptoSuite
Eraser
Wipe Files Tab
Installed Software Tab
The Installed Software Tab allows you to view installed software entries in the registry. Many software programs that you try then uninstall will leave their orphaned entries in these registry keys. From this dialog you can view and delete software entries that you know are old or orphaned.
The UserAssist Tab is probably a waste of resources but I felt it may be useful for some users to manually delete entries from the UserAssist registry. You can multiselect entries and press the delete key to remove them from the registry.


Options

Options Tab
Program Options
  • Minimize to tray at startup - rather than having CleanCache appear on the desktop when started, it will immediately minimize itself to the system tray
  • Close minimizes to tray - clicking the X in the upper right corner of CleanCache will not exit the program but will minimize it to the tray
  • Stealth Mode - if you do not want to have the tray icon visible. You can assign any key that you would like to use to bring CleanCache to the desktop. The key combination is Ctrl + Alt + Key (R by default)
  • Show finished message when minimized to tray - I have tried to make CleanCache as unobtrusive as I can. Some users may want to know when CleanCache has actually finished cleaning while minimized to the tray. The option will put a message box up on the screen when CleanCache has finished cleaning.
  • Create log files - useful if you are curious as to what CleanCache is doing while cleaning and very useful if you have a problem that I need to research.

Cleaning Options
  • Run at Windows startup - executes CleanCache when Windows starts. You have the following options when CleanCache starts:
  • Do not clean at startup - CleanCache will start but not clean
  • Clean at Windows startup - CleanCache will start, clean all checked items and then stay running
  • Clean at Windows startup then exit - CleanCache will start, clean all checked items and then exit
  • Clean at Windows shutdown - CleanCache will clean when Windows is shutdown or rebooted.
  • Reboot after Manual Clean - CleanCache will reboot the pc after running a manual clean. This option is not valid when cleaning on browser close.
  • Shutdown after Manual Clean - CleanCache will shutdown the pc after running a manual clean. This option is not valid when cleaning on browser close.

Appearance Options

Try to make this ButtUgly program look more attractive!

Cookies Options
  • Save cookies if they match IE Favorites - A very useful feature for automatically saving cookies for web sites that you have as favorites.
  • Save cookies if they match allowed IE Managed Site - This will save cookies for sites that have been added to IE's managed site list.

Secure Cleaning Options
  • Use secure cleaning - Select this option if you want to have your files securely wiped before deletion. Please note that this may/will slow down the process of cleaning files tremendously. Each cleaning method below overwrites each file with random/specified bytes and then renames the file 26 times before deletion.
  • Single Pass (random bytes) - The file is overwritten by random bytes in one pass before deletion.
  • DoD 5220.22-M STD (3 pass) - The file is overwritten in 3 passes. The first being byte 0 (0x00), the second its complement (0x255) and the third pass is entirely random bytes. Please this this link for the DoD documents for more information.
  • Gutmann (35 pass) - The file is overwritten in 35 passes with the following bytes. Please see Peter Gutmann's paper for more information:

1 Random
2 Random
3 Random
4 Random
5 0x55
6 0xAA
7 0x92 0x49 0x24
8 0x49 0x24 0x92
9 0x24 0x92 0x49
10 0x00
11 0x11
12 0x22
13 0x33
14 0x44
15 0x55
16 0x66
17 0x77
18 0x88
19 0x99
20 0xAA
21 0xBB
22 0xCC
23 0xDD
24 0xEE
25 0xFF
26 0x92 0x49 0x24
27 0x49 0x24 0x92
28 0x24 0x92 0x49
29 0x6D 0xB6 0xDB
30 0xB6 0xDB 0x6D
31 0xDB 0x6D 0xB6
32 Random
33 Random
34 Random
35 Random
  • Number of wiping runs (1-35) - This number will specify how many times to do the above wiping scheme on each file. For example, if you have selected the DoD method of wiping and having the number of wiping runs set to 1, the file will be overwritten the normal 3 passes. If you have the number of wiping runs set to 2 the file will go through the DoD wiping scheme twice for a total of 6 passes. An extreme example would be if you have selected the Gutmann method of wiping and have the number of wiping runs set to 35, the file would be overwritten 1,225 times! Please be careful when using this option since it will slow down an already slow process even more.
  • Just below the Number of wiping runs (1-35) a label is displayed showing how many times the file will be overwritten with the selected options.

Options Tab


page9

Error 0xc0000135 on CleanCache start

This error is caused by not having the Microsoft .NET Framework 1.1 installed on your system. The easiest way to install is through Windows Update.
Any error concerning missing dll's

If you receive any message that dll's cannot be found or are missing the only solution is to delete and re-install .NET Framework 1.1 through Windows update. Any message of this type is related directly to .NET and not with CleanCache
Troubleshooting


CmdLine

Command Line Paramters
CleanCache now has new command line parameters added for anyone wanting to run CleanCache from a .bat file.

The command line parameters are:

/i - Clean all checked Internet Explorer items
/m - Clean all checked Mozilla items
/f - Clean all checked Firefox items
/o - Clean all checked Opera items
/w - Clean all checked Windows items
/a - Clean all checked browser and windows items
/c - Clean all checked browser and windows items then exit CleanCache
/r - Reboot PC after selected clean
/s - Shutdown PC after selected clean

Example

CleanCache.exe /i /f /r

This will clean all checked IE and Firefox items then reboot the PC


page14

Set Profile Directory
If you are installing CleanCache or Mozilla/Firefox for the first time or changing your profile directory from the two browsers, you will need to point CleanCache to your profile directory. Unfortunately neither browser stores your profile directory in an easily accessible place so I have to rely on some manual intervention to make sure the program is going to use the appropriate directory.

To set the profile directory, click on the Set Profile Directory button on either the Mozilla or Firefox Tabs. You will be presented with the following dialog:
From the Manage Profiles dialog you are able to add, remove and disable all of your profiles related to the browser where you clicked on the Set Profile Directory button.

To add a new profile just click on the Add button. You will be presented with the following dialg:
From this profile you can either browse to your profile directory (if it's not a default setup) or use the radio buttons on the right to select the version of Mozilla/Firefox that you are currently running. CleanCache will then find all of the profiles associated with the profile directory.

When you press save and then close, you will return to the Manage Profiles dialog. Now you may check which profiles you would like to clean.